<script setup lang="ts">
import { useDateStore } from '@/stores/date'
import { useReceiptStore } from '@/stores/receipt'
import { onMounted, watchEffect } from 'vue'

const receiptStore = useReceiptStore()
// const dateStore = useDateStore()
const formatDate = (dateString: string | number | Date) => {
  const date = new Date(dateString)
  const day = date.getDate()
  const month = date.getMonth() + 1
  const year = date.getFullYear()
  const hours = date.getHours()
  const minutes = date.getMinutes()

  return `${day}/${month}/${year} ${hours}:${minutes}`
}

onMounted(async () => {
  await receiptStore.getReceipts()
})
watchEffect(() => {
  // อัปเดตหน้าเว็บเมื่อมีการเปลี่ยนแปลงใน receiptItems
  console.log('receiptItems updated:', receiptStore.receiptItems)
})
</script>

<template>
  <v-dialog v-model="receiptStore.receiptDialogDetail" persistent width="400">
    <v-card>
      <img
        src="/img/cafe/Beige and Black Purely Typographic Psychiatric Doctor Logo.png"
        width="150"
        height="150"
        style="display: block; margin: auto"
      />
      <v-card-title class="text-h5" style="text-align: center"> Receipt POS </v-card-title>
      <v-card-text>
        <div class="mb-1" style="text-align: end">
          {{ receiptStore.receipt?.updated ? formatDate(receiptStore.receipt?.updated) : '' }}
        </div>
        <div class="mb-1" style="text-align: end">
          <!-- {{ dateStore.formattedHour }}:{{ dateStore.formattedMinute }} -->
          <!-- {{ receiptStore.receipt?.createdDate }} -->
        </div>
        <div class="mb-1" style="text-align: end">
          Customer:
          {{ receiptStore.receipt?.user?.fullName }}
        </div>
        <div class="mb-1" style="text-align: end">
          Member:
          {{ receiptStore.receipt!.members?.fullName }}
        </div></v-card-text
      >
      <v-card-text>
        <v-table density="compact">
          <thead>
            <tr>
              <th style="text-align: start">Item</th>
              <th style="text-align: center">QTY</th>
              <th style="text-align: end">AMOUNT</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item in receiptStore.receipt?.receiptDetails" :key="item.id">
              <td style="text-align: start">{{ item.name }}</td>
              <td style="text-align: center">{{ item.qty }}</td>
              <td style="text-align: end">{{ item.price * item.qty }}</td>
            </tr>
          </tbody>
        </v-table>
        <v-card-text class="flex-container">
          <v-row>
            <v-col cols="6">
              <div class="mb-1" style="text-align: start">Total</div>
              <div class="mb-1" style="text-align: start">Discount</div>
              <div class="mb-1" style="text-align: start">Total Net</div>
              <div class="mb-1" style="text-align: start">Payment Type</div>
              <div class="mb-1" style="text-align: start">Received Amountasd</div>
              <div class="mb-1" style="text-align: start">Change</div>
            </v-col>
            <v-col cols="6">
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt?.total }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt?.discount }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt?.net }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt?.paymentType }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt?.amount }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt?.change }}
              </div>
            </v-col>
          </v-row>
        </v-card-text>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.receiptDialogDetail = false
            }
          "
        >
          ปิด
        </v-btn>
        <!-- <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.receiptDialogDetail = false
              receiptStore.clear()
            }
          "
        >
          บันทึก
        </v-btn> -->
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
